<?php
/**
 * The template for displaying author pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package industries
 */

get_header();
?>


<div class="header-fixed-space-height">

</div>


<main id="primary" class="site-main">

  <?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
    <header>
    <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
    </header>
    <?php
        endif;
  ?>


<!-- inner banner -->
<section class="inner-banner">
  <div class="w3l-breadcrumb">
      <div class="container">
            <h4 class="inner-text-title  font-weight-bold mb-2">
            <?php the_author_meta('display_name');?>
            </h4>
          <!-- Content None breadcrumb -->
          <?php $BreadcrumbsStatus = get_theme_mod( "BreadcrumbsRequired","1")?>
          <?php if( $BreadcrumbsStatus==1 ){?>
          <div class="breadcrumbs-custom-path AllBreadcrumbs">
              <?php get_breadcrumb(); ?>
          </div>
          <?php }?>
          <!-- //Content None breadcrumb -->

      </div>
  </div>
</section>
<!-- //inner banner -->



<section class="w3l-blog">
	<div class="text-element-9 py-5">
		<div class="container py-md-5 py-4 BlogHomeLayout">

            <div class="author-card author-listhny author_page_author_card mb-lg-5 mb-sm-4">
                <div class="row">
                <div class="author-left col-sm-3 mb-sm-0 mb-4">
                    <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID'));?>">
                    <img class="img-fluid"
                        src="<?php print get_avatar_url( get_the_author_meta( 'ID' ), ['size' => '200'] ); ?>"
                        alt="<?php the_author_meta('display_name'); ?>">
                    </a>
                </div>
                <div class="author-right col-sm-9 position-relative align-self-center">

                    <h4><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID'));?>"
                        class="title-team-28"><?php the_author_meta('display_name'); ?></a></h4>
                    <p class="para-team mb-0"><?php the_author_meta('user_description'); ?></p>

                    <div class="share-icons mt-4">
                    <?php
                                if(!empty(get_the_author_meta('twitterurl')))
                                {?>
                    <a href="<?php the_author_meta('twitterurl'); ?>"><span class="fa fa-twitter"></span></a>

                    <?php }
                                ?>
                    <?php
                                    if(!empty(get_the_author_meta('facebookurl')))
                                    {?>
                    <a href="<?php the_author_meta('facebookurl'); ?>"><span class="fa fa-facebook"></span></a>

                    <?php }
                                    ?>
                    <?php
                                    if(!empty(get_the_author_meta('instagramurl')))
                                    {?>
                    <a href="<?php the_author_meta('instagramurl'); ?>"><span class="fa fa-instagram"></span></a>

                    <?php }
                                    ?>
                    <?php
                                    if(!empty(get_the_author_meta('vkurl')))
                                    {?>
                    <a href="<?php the_author_meta('vkurl'); ?>"><span class="fa fa-vk"></span></a>

                    <?php }
                                    ?>
                    <?php
                                    if(!empty(get_the_author_meta('pinteresturl')))
                                    {?>
                    <a href="<?php the_author_meta('pinteresturl'); ?>"><span class="fa fa-pinterest"></span></a>

                    <?php }
                                    ?>
                    <?php
                                    if(!empty(get_the_author_meta('tumblrurl')))
                                    {?>
                    <a href="<?php the_author_meta('tumblrurl'); ?>"><span class="fa fa-tumblr"></span></a>

                    <?php }
                                    ?>
                                    
                    </div>

                </div>

                </div>
            </div>

            <div class="row grid-text-9">

            <?php $BlogHomePostsLayout=get_theme_mod( "BlogHomePostsLayout");
                // echo 'Article Layout : '.$w3layoutsArticleLayout;
                ?>
                <?php	if($BlogHomePostsLayout=='sidebarleft'){ get_sidebar(); }?>
                <?php
                if($BlogHomePostsLayout!='sidebarnone'){?>

                <div class="col-lg-8">
                <?php }
                if($BlogHomePostsLayout=='sidebarnone'){?>
                <div class="col-lg-12">
                <?php }?>



                        <?php
                        /* Start the Loop */
                        while ( have_posts() ) :
                        the_post();

                        /*
                        * Include the Post-Type-specific template for the content.
                        * If you want to override this in a child theme, then include a file
                        * called content-___.php (where ___ is the Post Type name) and that will be used instead.
                        */
                        get_template_part( 'template-parts/content', get_post_type() );

                        endwhile;

                        // the_posts_navigation();

                        else :

                        get_template_part( 'template-parts/content', 'none' );

                        endif;
                        ?>


                    <!-- pagination -->
                    <div class="pagination-style mt-4 mb-0">
                        <?php w3layouts_pagination(); ?>
                    </div>
                    <!-- //pagination -->

                </div>
    
                <?php 
                // if($BLOGlayoutselected==1){ get_sidebar(); }
                ?>
        
                <?php	if($BlogHomePostsLayout=='sidebarright'){ get_sidebar(); }?>

            </div>

      </div>
    </div>
</section>
</main>




<?php global $wp_customize;
if ( isset( $wp_customize ) ) { ?>

<!-- Js scripts -->

<!-- move top -->
<button onclick="topFunction()" id="movetop" title="Go to top">
	<span class="fas fa-level-up-alt" aria-hidden="true"></span>
</button>
<script>
	// When the user scrolls down 20px from the top of the document, show the button
	window.onscroll = function () {
		scrollFunction()
	};

	function scrollFunction() {
		if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
			document.getElementById("movetop").style.display = "block";
		} else {
			document.getElementById("movetop").style.display = "none";
		}
	}

	// When the user clicks on the button, scroll to the top of the document
	function topFunction() {
		document.body.scrollTop = 0;
		document.documentElement.scrollTop = 0;
	}
</script>
<!-- //move top -->

<!-- banner image moving effect -->
<script>
	var lFollowX = 0,
		lFollowY = 0,
		x = 0,
		y = 0,
		friction = 1 / 30;

	function animate() {
		x += (lFollowX - x) * friction;
		y += (lFollowY - y) * friction;

		translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';

		jQuery('.banner-image').css({
			'-webit-transform': translate,
			'-moz-transform': translate,
			'transform': translate
		});

		window.requestAnimationFrame(animate);
	}

	jQuery(window).on('mousemove click', function (e) {

		var lMouseX = Math.max(-100, Math.min(100, jQuery(window).width() / 2 - e.clientX));
		var lMouseY = Math.max(-100, Math.min(100, jQuery(window).height() / 2 - e.clientY));
		lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow
		lFollowY = (10 * lMouseY) / 100;

	});

	animate();
</script>
<!-- //banner image moving effect -->

<!-- counter for stats -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/counter.js"></script>
<!-- //counter for stats -->

<!-- magnific popup -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.min.js"></script>
<script>
	jQuery(document).ready(function () {
		jQuery('.popup-with-zoom-anim').magnificPopup({
			type: 'inline',

			fixedContentPos: false,
			fixedBgPos: true,

			overflowY: 'auto',

			closeBtnInside: true,
			preloader: false,

			midClick: true,
			removalDelay: 300,
			mainClass: 'my-mfp-zoom-in'
		});

		jQuery('.popup-with-move-anim').magnificPopup({
			type: 'inline',

			fixedContentPos: false,
			fixedBgPos: true,

			overflowY: 'auto',

			closeBtnInside: true,
			preloader: false,

			midClick: true,
			removalDelay: 300,
			mainClass: 'my-mfp-slide-bottom'
		});
	});
</script>
<!-- //magnific popup -->

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for tesimonials carousel slider -->
<script>
	jQuery(document).ready(function () {
		jQuery("#owl-demo2").owlCarousel({
			loop: true,
			nav: false,
			margin: 50,
			responsiveClass: true,
			responsive: {
				0: {
					items: 1,
					nav: false
				},
				736: {
					items: 1,
					nav: false
				},
				991: {
					items: 2,
					margin: 30,
					nav: false
				},
				1080: {
					items: 2,
					nav: false
				}
			}
		})
	})
</script>
<!-- //script for tesimonials carousel slider -->
<!-- owl carousel -->

<!-- theme switch js (light and dark)-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script>
<script>
	function autoType(elementClass, typingSpeed) {
		var thhis = jQuery(elementClass);
		thhis.css({
			"position": "relative",
			"display": "inline-block"
		});
		thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
		thhis = thhis.find(".text-js");
		var text = thhis.text().trim().split('');
		var amntOfChars = text.length;
		var newString = "";
		thhis.text("|");
		setTimeout(function () {
			thhis.css("opacity", 1);
			thhis.prev().removeAttr("style");
			thhis.text("");
			for (var i = 0; i < amntOfChars; i++) {
				(function (i, char) {
					setTimeout(function () {
						newString += char;
						thhis.text(newString);
					}, i * typingSpeed);
				})(i + 1, text[i]);
			}
		}, 1500);
	}

	jQuery(document).ready(function () {
		// Now to start autoTyping just call the autoType function with the 
		// class of outer div
		// The second paramter is the speed between each letter is typed.   
		autoType(".type-js", 200);
	});
</script>
<!-- //theme switch js (light and dark)-->

<!-- MENU-JS -->
<script>
	jQuery(window).on("scroll", function () {
		var scroll = jQuery(window).scrollTop();

		if (scroll >= 80) {
			jQuery("#site-header").addClass("nav-fixed");
		} else {
			jQuery("#site-header").removeClass("nav-fixed");
		}
	});

	//Main navigation Active Class Add Remove
	jQuery(".navbar-toggler").on("click", function () {
		jQuery("header").toggleClass("active");
	});
	jQuery(document).on("ready", function () {
		if (jQuery(window).width() > 991) {
			jQuery("header").removeClass("active");
		}
		jQuery(window).on("resize", function () {
			if (jQuery(window).width() > 991) {
				jQuery("header").removeClass("active");
			}
		});
	});
</script>
<!-- //MENU-JS -->

<!-- disable body scroll which navbar is in active -->
<script>
	jQuery(function () {
		jQuery('.navbar-toggler').click(function () {
			jQuery('body').toggleClass('noscroll');
		})
	});
</script>
<!-- //disable body scroll which navbar is in active -->

<!--bootstrap-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>
<!-- //bootstrap-->

<!-- //Js scripts -->

<?php }

get_footer(); ?>