<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package industries
 */

?>


<?php $FooterStatus = get_theme_mod( "FooterRequired","1")?>
<?php if( $FooterStatus==1 ){?>

<footer class="w3l-footer-29-main">
    <div class="footer-29-w3l py-5">
        <div class="container py-4 IndustriesFooter">
            <div class="row footer-top-29">

            <?php $FooterAboutStatus = get_theme_mod( "FooterAboutRequired","1")?>
            <?php if( $FooterAboutStatus==1 ){?>
                <div class="col-lg-4 col-md-6 col-sm-7 footer-list-29 footer-1 pr-lg-5">
                    
                  <div class="footer-logo mb-3">
                    <a class="footer-brand-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                      <i class="<?php echo get_theme_mod( "FooterLogoIcon" ); if(get_theme_mod( "FooterLogoIcon" )==''){echo 'fas fa-tools';}?>"></i> 
                      <?php echo get_theme_mod( "FooterLogoText" ); if(get_theme_mod( "FooterLogoText" )==''){echo 'Industries';}?></a>
                  </div>

                    <p><?php echo get_theme_mod( "FooterAboutContent","Lorem ipsum viverra feugiat. Pellen tesque libero ut justo, ultrices in ligula. Semper at tempufddfel. Lorem ipsum dolor sit amet Semper at elit." );?></p>
                        
                      <?php $FooterSocialmediaStatus = get_theme_mod( "FooterSocialmediaRequired","1")?>
                      <?php if( $FooterSocialmediaStatus==1 ){?>
                      <div class="main-social-footer-29 mt-4">
                            <?php $FooterSFStatus = get_theme_mod( "FooterSocialFacebook","1")?>
                            <?php if( $FooterSFStatus==1 ){?>
                            <a href="<?php echo get_theme_mod( "FooterSocialFacebookURL","https://www.facebook.com/w3layouts/" ); ?>"
                              class="facebook"><span class="fab fa-facebook-f"></span></a>
                            <?php }?>

                            <?php $FooterSTStatus = get_theme_mod( "FooterSocialTwitter","1")?>
                            <?php if( $FooterSTStatus==1 ){?>
                            <a href="<?php echo get_theme_mod( "FooterSocialTwitterURL","https://twitter.com/W3layouts" ); ?>"
                              class="twitter"><span class="fab fa-twitter"></span></a>
                            <?php }?>

                            <?php $FooterSIStatus = get_theme_mod( "FooterSocialInstagram","1")?>
                            <?php if( $FooterSIStatus==1 ){?>
                            <a href="<?php echo get_theme_mod( "FooterSocialInstagramURL","https://instagram.com/company/w3layouts" ); ?>"
                              class="instagram"><span class="fab fa-instagram"></span></a>
                            <?php }?>

                            <?php $FooterSLStatus = get_theme_mod( "FooterSocialLinkedin","1")?>
                            <?php if( $FooterSLStatus==1 ){?>
                            <a href="<?php echo get_theme_mod( "FooterSocialLinkedinURL","https://in.linkedin.com/company/w3layouts" ); ?>"
                              class="linkedin"><span class="fab fa-linkedin-in"></span></a>
                            <?php }?>
                      </div>
                      <?php }?>
                </div>
              <?php }?>

                <div class="col-lg-2 col-md-6 col-sm-5 col-6 footer-list-29 footer-2 mt-sm-0 mt-5">
                  <?php
                    if(is_active_sidebar('footer-menu-list-1')){
                    dynamic_sidebar('footer-menu-list-1');
                    }
                  ?>
                </div>
                <div class="col-lg-2 col-md-6 col-sm-5 col-6 footer-list-29 footer-3 mt-lg-0 mt-5 pl-lg-4">
                  <?php
                    if(is_active_sidebar('footer-menu-list-2')){
                    dynamic_sidebar('footer-menu-list-2');
                    }
                  ?>
                </div>

              <?php $FooterNewsletterStatus = get_theme_mod( "FooterNewsletterRequired","1")?>
              <?php if( $FooterNewsletterStatus==1 ){?>
                <div class="col-lg-4 col-md-6 col-sm-7 FooterNewsletter footer-list-29 footer-4 mt-lg-0 mt-5 pl-lg-5">
                    <h6 class="footer-title-29"><?php echo get_theme_mod( "FooterNewsletterTitle" );if(get_theme_mod( "FooterNewsletterTitle" )==''){echo 'Newsletter';}?> </h6>
                    <form action="<?php echo get_theme_mod( 'MailingURL', '');?>" class="subscribe d-flex align-items-center" method="post">
                        <input type="email" name="<?php echo get_theme_mod( 'FooterSubscribeFormEmailInput', 'email');?>" 
                        placeholder="<?php echo get_theme_mod( 'FooterSubscribeFormEmailPlaceHolder', 'Email Address');?>" required="">
                        <button><span class="fa fa-paper-plane" aria-hidden="true"></span></button>
                    </form>

                    <?php $FooterPhoneNumberStatus = get_theme_mod( "FooterPhoneNumberRequired","1")?>
                    <?php if( $FooterPhoneNumberStatus==1 ){?>
                        <h6 class="footer-title-29 pt-2 mt-4 mb-3"><?php echo get_theme_mod( "FooterPhoneNumberTitle" );if(get_theme_mod( "FooterPhoneNumberTitle" )==''){echo 'Give us a free call:';}?> </h6>
                        <a href="<?php echo get_theme_mod( 'FooterPhoneNumberUrl', 'tel:+12 23456790');?>">
                        <?php echo get_theme_mod( "FooterPhoneNumber" );if(get_theme_mod( "FooterPhoneNumber" )==''){echo '+12 23456790';}?></a>
                    <?php }?>

                </div>
              <?php }?>

            </div>
        </div>
    </div>
    <!-- copyright -->
    <?php $FooterCRStatus = get_theme_mod( "FooterCopyrightRequired","1")?>
    <?php if( $FooterCRStatus==1 ){?>
      <div class="w3l-copyright">
          <div class="container">
              <div class="row bottom-copies align-items-center">
                <p class="col-lg-8 CopyRights copy-footer-29">&copy; <?php echo date('Y'); ?>
                    <?php echo get_theme_mod( "FooterCopyrightSiteName", "Industries" );?>
                    <?php echo get_theme_mod( "FooterCopyrightAllRights", "All Rights Reserved |" );?>

                    <?php $FooterDBStatus = get_theme_mod( "FooterDesignedByRequired","1")?>
                    <?php if( $FooterDBStatus==1 ){?>
                    <?php echo get_theme_mod( "FooterCopyrightThemeBy", "WordPress Theme by" );?>
                    <a href="<?php echo get_theme_mod( "FooterCopyrightURL", "https://w3layouts.com/" );?>">
                        <?php echo get_theme_mod( "FooterCopyrightName", "W3Layouts." );?>
                    </a>
                    <?php }?>
                </p>
                  
                <div class="col-lg-4 footer-list-29 footer-copy-list">
                    <?php
                        if(is_active_sidebar('footer-menu-list-3')){
                        dynamic_sidebar('footer-menu-list-3');
                        }
                    ?>
                </div>
              </div>
          </div>
      </div>
      <!-- //copyright -->
    <?php }?>
</footer>
<?php }?>




<?php global $wp_customize;
  if ( !isset( $wp_customize ) ) {
    ?>

<!-- Js scripts -->

<!-- move top -->
<button onclick="topFunction()" id="movetop" title="Go to top">
    <span class="fas fa-level-up-alt" aria-hidden="true"></span>
</button>
<script>
    // When the user scrolls down 20px from the top of the document, show the button
    window.onscroll = function () {
        scrollFunction()
    };

    function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            document.getElementById("movetop").style.display = "block";
        } else {
            document.getElementById("movetop").style.display = "none";
        }
    }

    // When the user clicks on the button, scroll to the top of the document
    function topFunction() {
        document.body.scrollTop = 0;
        document.documentElement.scrollTop = 0;
    }
</script>
<!-- //move top -->

<!-- common jquery plugin -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery-3.3.1.min.js"></script>
<!-- //common jquery plugin -->

<!-- banner image moving effect -->
<script>
    var lFollowX = 0,
        lFollowY = 0,
        x = 0,
        y = 0,
        friction = 1 / 30;

    function animate() {
        x += (lFollowX - x) * friction;
        y += (lFollowY - y) * friction;

        translate = 'translate(' + x + 'px, ' + y + 'px) scale(1.1)';

        $('.banner-image').css({
            '-webit-transform': translate,
            '-moz-transform': translate,
            'transform': translate
        });

        window.requestAnimationFrame(animate);
    }

    $(window).on('mousemove click', function (e) {

        var lMouseX = Math.max(-100, Math.min(100, $(window).width() / 2 - e.clientX));
        var lMouseY = Math.max(-100, Math.min(100, $(window).height() / 2 - e.clientY));
        lFollowX = (20 * lMouseX) / 100; // 100 : 12 = lMouxeX : lFollow
        lFollowY = (10 * lMouseY) / 100;

    });

    animate();
</script>
<!-- //banner image moving effect -->

<!-- counter for stats -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/counter.js"></script>
<!-- //counter for stats -->

<!-- magnific popup -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/jquery.magnific-popup.min.js"></script>
<script>
    $(document).ready(function () {
        $('.popup-with-zoom-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-zoom-in'
        });

        $('.popup-with-move-anim').magnificPopup({
            type: 'inline',

            fixedContentPos: false,
            fixedBgPos: true,

            overflowY: 'auto',

            closeBtnInside: true,
            preloader: false,

            midClick: true,
            removalDelay: 300,
            mainClass: 'my-mfp-slide-bottom'
        });
    });
</script>
<!-- //magnific popup -->

<!-- owl carousel -->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/owl.carousel.js"></script>
<!-- script for tesimonials carousel slider -->
<script>
    $(document).ready(function () {
        $("#owl-demo2").owlCarousel({
            loop: true,
            nav: false,
            margin: 50,
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1,
                    nav: false
                },
                736: {
                    items: 1,
                    nav: false
                },
                991: {
                    items: 2,
                    margin: 30,
                    nav: false
                },
                1080: {
                    items: 2,
                    nav: false
                }
            }
        })
    })
</script>
<!-- //script for tesimonials carousel slider -->
<!-- owl carousel -->

<!-- theme switch js (light and dark)-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/theme-change.js"></script>
<script>
    function autoType(elementClass, typingSpeed) {
        var thhis = $(elementClass);
        thhis.css({
            "position": "relative",
            "display": "inline-block"
        });
        thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
        thhis = thhis.find(".text-js");
        var text = thhis.text().trim().split('');
        var amntOfChars = text.length;
        var newString = "";
        thhis.text("|");
        setTimeout(function () {
            thhis.css("opacity", 1);
            thhis.prev().removeAttr("style");
            thhis.text("");
            for (var i = 0; i < amntOfChars; i++) {
                (function (i, char) {
                    setTimeout(function () {
                        newString += char;
                        thhis.text(newString);
                    }, i * typingSpeed);
                })(i + 1, text[i]);
            }
        }, 1500);
    }

    $(document).ready(function () {
        // Now to start autoTyping just call the autoType function with the 
        // class of outer div
        // The second paramter is the speed between each letter is typed.   
        autoType(".type-js", 200);
    });
</script>
<!-- //theme switch js (light and dark)-->

<!-- MENU-JS -->
<script>
    $(window).on("scroll", function () {
        var scroll = $(window).scrollTop();

        if (scroll >= 80) {
            $("#site-header").addClass("nav-fixed");
        } else {
            $("#site-header").removeClass("nav-fixed");
        }
    });

    //Main navigation Active Class Add Remove
    $(".navbar-toggler").on("click", function () {
        $("header").toggleClass("active");
    });
    $(document).on("ready", function () {
        if ($(window).width() > 991) {
            $("header").removeClass("active");
        }
        $(window).on("resize", function () {
            if ($(window).width() > 991) {
                $("header").removeClass("active");
            }
        });
    });
</script>
<!-- //MENU-JS -->

<!-- disable body scroll which navbar is in active -->
<script>
    $(function () {
        $('.navbar-toggler').click(function () {
            $('body').toggleClass('noscroll');
        })
    });
</script>
<!-- //disable body scroll which navbar is in active -->

<!--bootstrap-->
<script src="<?php echo get_bloginfo('template_directory'); ?>/assets/js/bootstrap.min.js"></script>
<!-- //bootstrap-->

<!-- //Js scripts -->



<?php }?>

<?php wp_footer(); ?>

</body>

</html>